%global fontname inkboy
%global fontconf 65-%{fontname}.conf
Name:           %{fontname}-fonts
Version:        20070624
Release:        16%{?dist}
Summary:        A clean and usable latin fantasy font
License:        OFL
URL:            http://inkboy.fr/html/telechargement-ressources.php
Source0:        http://inkboy.fr/fichiers/inkboyfont.zip
Source1:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
This is a clean and usable latin fantasy font.

%prep
%setup -q -c

%build
for i in FONTLOG.txt OFL.txt OFL-FAQ.txt; do
  sed -i~ -e 's|\r||' $i &&  touch -r $i~ $i
done
for i in FONTLOG.txt; do
  iconv -f iso-8859-1 -t utf-8 $i > $i~ &&  touch -r $i $i~ &&  mv $i~ $i
done

%install
install -m 0755 -d       %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

cat <<EOF > %{fontconf}
<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
    <alias>
        <family>fantasy</family>
        <prefer>
            <family>Inkboy</family>
        </prefer>
    </alias>
    <alias>
        <family>Inkboy</family>
        <default>
            <family>fantasy</family>
        </default>
    </alias>
</fontconfig>
EOF
install -m 0755 -d             %{buildroot}%{_fontconfig_templatedir}
install -m 0644 -p %{fontconf} %{buildroot}%{_fontconfig_templatedir}

install -m 0755 -d             %{buildroot}%{_fontconfig_confdir}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
                               %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE1} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.ttf
%doc FONTLOG.txt OFL.txt OFL-FAQ.txt
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20070624-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20070624-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 20070624-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20070624-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Oct 17 2014 Parag Nemade <pnemade AT redhat DOT com> - 20070624-12
- Add metainfo file to show this font in gnome-software

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20070624-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20070624-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20070624-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20070624-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20070624-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20070624-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 11 2009 Ville Skyttä <ville.skytta@iki.fi> - 20070624-5
- Use upstream zip instead of uncompressed tarball.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20070624-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 24 2009 Jim Radford <radford@blackbean.org> - 20070624-3
- add another doc and preserve timestamps

* Tue Jun 23 2009 Jim Radford <radford@blackbean.org> - 20070624-2
- Convert line endings and encodings

* Mon Jun 22 2009 Jim Radford <radford@blackbean.org> - 20070624-1
- Initial Version
